com.saxonica.pull

## Class UnconstructedElement

- java.lang.Object
- - com.saxonica.pull.UnconstructedParent
  - - com.saxonica.pull.UnconstructedElement

- All Implemented Interfaces:
    Source, PullEvent, Item, NodeInfo, Sequence

      public class UnconstructedElement
      extends UnconstructedParent

  An element node whose construction is deferred.

- - ### Field Summary

    - ### Fields inherited from class com.saxonica.pull.UnconstructedParent

      `instruction, node, savedXPathContext`

    - ### Fields inherited from interface net.sf.saxon.om.NodeInfo

      `ALL_NAMESPACES, IS_DTD_TYPE, IS_NILLED, LOCAL_NAMESPACES, NO_NAMESPACES`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UnconstructedElement(ElementCreator instruction, XPathContext context)` Create an unconstructed (pending) element node

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getBaseURI()` Get the Base URI for the node, that is, the URI used for resolving a relative URI contained in the node.
    `NodeName` | `getElementName()`
    `int` | `getNameCode()` Get name code.
    `int` | `getNodeKind()` Get the kind of node.
    `void` | `setElementName(NodeName nameCode)` Set the name of the element node

    - ### Methods inherited from class com.saxonica.pull.UnconstructedParent

      `atomize, compareOrder, comparePosition, copy, equals, generateId, getAttributeValue, getColumnNumber, getConfiguration, getDeclaredNamespaces, getDisplayName, getDocumentNumber, getDocumentRoot, getFingerprint, getInstruction, getLineNumber, getLocalPart, getNamePool, getParent, getPrefix, getPuller, getRoot, getSchemaType, getStringValue, getStringValueCS, getSystemId, getTypeAnnotation, getURI, getXPathContext, hasChildNodes, hashCode, head, isId, isIdref, isNilled, isSameNodeInfo, iterate, iterateAxis, iterateAxis, setSystemId`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### UnconstructedElement

          public UnconstructedElement(ElementCreator instruction,
                              XPathContext context)

      Create an unconstructed (pending) element node
      Parameters:
        `instruction` - the instruction responsible for creating the node
        `context` - the XPath dynamic context

  - ### Method Detail

    - #### setElementName

          public void setElementName(NodeName nameCode)

      Set the name of the element node
      Parameters:
        `nameCode` - the namepool code for the element name

    - #### getElementName

          public NodeName getElementName()

    - #### getNameCode

          public int getNameCode()

      Get name code. The name code is a coded form of the node name: two nodes with the same name code have the same namespace URI, the same local name, and the same prefix. By masking the name code with &0xfffff, you get a fingerprint: two nodes with the same fingerprint have the same local name and namespace URI.
      Returns:
        an integer name code, which may be used to obtain the actual node name from the name pool
      See Also:
        `allocate`, `getFingerprint`

    - #### getNodeKind

          public int getNodeKind()

      Description copied from interface: `NodeInfo`
      Get the kind of node. This will be a value such as `Type.ELEMENT` or `Type.ATTRIBUTE`. There are seven kinds of node: documents, elements, attributes, text, comments, processing-instructions, and namespaces.
      Returns:
        an integer identifying the kind of node. These integer values are the same as those used in the DOM
      See Also:
        `Type`

    - #### getBaseURI

          public String getBaseURI()

      Get the Base URI for the node, that is, the URI used for resolving a relative URI contained in the node. This will be the same as the System ID unless xml:base has been used.
      Specified by:
        `getBaseURI` in interface `NodeInfo`
      Overrides:
        `getBaseURI` in class `UnconstructedParent`
      Returns:
        the base URI of the node

Copyright (c) 2004-2013 Saxonica Limited. All rights reserved.